%define          url_ver    %(echo %{version}|cut -d. -f1,2)
%define          source_name mate-settings-daemon

Summary:         MATE Desktop settings daemon with Pulseaudio backend
Name:            %{source_name}-gstreamer
Version:         1.6.2
Release:         %mkrel 2
License:         GPLv2+
Group:           Graphical desktop/MATE
URL:             http://mate-desktop.org
Source0:         http://pub.mate-desktop.org/releases/%{url_ver}/%{source_name}-%{version}.tar.xz

BuildRequires:   intltool
BuildRequires:   mate-common
BuildRequires:   pkgconfig(gstreamer-plugins-base-0.10)
BuildRequires:   pkgconfig(mate-doc-utils)
BuildRequires:   pkgconfig(dbus-glib-1)
BuildRequires:   pkgconfig(fontconfig)
BuildRequires:   pkgconfig(glib-2.0)
BuildRequires:   pkgconfig(gtk+-2.0)
BuildRequires:   pkgconfig(ice)
BuildRequires:   pkgconfig(dconf)
BuildRequires:   pkgconfig(mate-desktop-2.0)
BuildRequires:   pkgconfig(libmatekbd)
BuildRequires:   pkgconfig(libnotify)
BuildRequires:   pkgconfig(libxklavier)
BuildRequires:   pkgconfig(nss)
BuildRequires:   pkgconfig(polkit-gtk-mate-1)
BuildRequires:   pkgconfig(x11)
BuildRequires:   pkgconfig(xfixes)
BuildRequires:   pkgconfig(xi)
BuildRequires:   pkgconfig(sm)

Obsoletes:       %{source_name}
Provides:        %{source_name}
Conflicts:       %{source_name}-pulse

Requires:        mate-icon-theme
Requires:        gstreamer0.10-plugins-good
Requires:        gstreamer0.10-plugins-base

%description
MATE settings daemon manages the configuration of the desktop in the
background. This package is built with GStreamer support. If you 
want to use PulseAudio backend then install mate-settings-daemon-pulse
package.

%prep
%setup -q -n %{source_name}-%{version}

%build
%configure2_5x \
   --disable-static \
   --enable-polkit \
   --disable-pulse \
   --enable-gstreamer \
   --enable-profiling

%make

%install

%makeinstall_std

find %{buildroot}%{_libdir} -type f -name "*.la" -delete
find %{buildroot}%{_libdir} -type f -name "*.a" -delete

# We don't need MateConf convert files:
rm -fr %{buildroot}%{_datadir}/MateConf

# mate-settings-daemon-pulse package already provides devel files
# We do not need them here:
rm -fr %{buildroot}%{_includedir}
rm -fr %{buildroot}%{_libdir}/pkgconfig

%{find_lang} %{source_name}

%pre
if [ -d %{_libexecdir}/%{source_name} ]; then
    rm -rf %{_libexecdir}/%{source_name}
fi


%files -f %{source_name}.lang
%doc AUTHORS README
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.mate.SettingsDaemon.DateTimeMechanism.conf
%config(noreplace) %{_sysconfdir}/xdg/autostart/mate-settings-daemon.desktop
%{_libdir}/mate-settings-daemon/*
%{_libexecdir}/*
%{_datadir}/dbus-1/services/org.mate.SettingsDaemon.service
%{_datadir}/dbus-1/system-services/org.mate.SettingsDaemon.DateTimeMechanism.service
%{_iconsdir}/mate/*/*/*
%{_datadir}/mate-settings-daemon
%{_datadir}/glib-2.0/schemas/org.mate.*.xml
%{_datadir}/polkit-1/actions/org.mate.settingsdaemon.datetimemechanism.policy



%changelog
* Thu Jan 23 2014 tarakbumba <tarakbumba> 1.6.2-2.mga4
+ Revision: 567553
- Completely remove version from provides/obsoletes/conflicts
- Revert previous commit and fully remove release tag from conflicts/provides/obsoletes
- Bump rel and add notice for packagers. Otherwise it breaks confliction with mate-settings-daemon-pulse (mga#12392)

* Wed Dec 18 2013 tarakbumba <tarakbumba> 1.6.2-1.mga4
+ Revision: 558542
- imported package mate-settings-daemon-gstreamer

